%define oname   papyon

Name:           python-papyon
Version:        0.5.6
Release:        %mkrel 3
Summary:        Python libraries for MSN Messenger network

Group:          Development/Python
License:        GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/papyon
Source0:        http://www.freedesktop.org/software/papyon/releases/%{oname}-%{version}.tar.gz	
Patch0:		papyon-0.5.6-farstream.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-pycrypto
BuildRequires:  python-OpenSSL
BuildRequires:  python-gobject

Requires:       python-pycrypto
Requires:       python-OpenSSL
Requires:       python-gobject
Requires:       gstreamer0.10-python
Requires:       python-farstream

%description
papyon is the library behind the msn connection manager for telepathy. It is a
a fork of the unmaintained pymsn msn library. papyon uses the glib mainloop to
process the network events in an asynchronous manner. 

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
python setup.py build

# remove shebang
sed -i 's,\#!/usr/bin/env python,,' test.py papyon/msnp2p/test.py

%install
python setup.py install \
	-O1 \
	--skip-build \
	--root %{buildroot}

%files
%doc AUTHORS NEWS
%{python_sitelib}/papyon
%{python_sitelib}/papyon-*.egg-info


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.6-3.mga3
+ Revision: 379218
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 18 2012 wally <wally> 0.5.6-2.mga2
+ Revision: 223815
- add patch to use farstream instead of deprecated farsight2 (patch originally from Fedora)
- clean .spec a bit

* Sat Nov 19 2011 mikala <mikala> 0.5.6-1.mga2
+ Revision: 169035
- Update tarball to 0.5.6
- drop patch0 merged upstream

* Thu Nov 10 2011 mikala <mikala> 0.5.5-3.mga2
+ Revision: 166140
- Add patch0 to fix hotmail login (stop using an obsolete login server)
- remove %%clean section
- remove %%defattr()

* Wed Apr 27 2011 ahmad <ahmad> 0.5.5-2.mga1
+ Revision: 91937
- Add more BR
- Remove shebang
- Update to 0.5.5
- Update Url and Source0 urls
- Drop BR avahi-python
- Add requires on gstreamer0.10-python and python-farsight2
- imported package python-papyon

